- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# faz_device – Add or remove device

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Add or remove a device or list of devices to FortiAnalyzer Device Manager. ADOM Capable.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
adom string / required | Default: "root" | The ADOM the configuration should belong to.
device_ip string |  | The IP of the device being added to FortiAnalyzer.
device_password string |  | The password of the device being added to FortiAnalyzer.
device_serial string |  | The serial number of the device being added to FortiAnalyzer.
device_unique_name string |  | The desired "friendly" name of the device being added to FortiAnalyzer.
device_username string |  | The username of the device being added to FortiAnalyzer.
faz_quota string |  | Specifies the quota for the device in FAZ
mgmt_mode string / required | Choices: unreg fmg faz fmgfaz | Management Mode of the device you are adding.
mode string | Choices: add ← delete promote | Add or delete devices. Or promote unregistered devices that are in the FortiAnalyzer "waiting pool"
os_minor_vers string / required |  | Minor OS rev of the device.
os_type string / required | Choices: unknown fos fsw foc fml faz fwb fch fct log fmg fsa fdd fac | The os type of the device being added (default 0).
os_ver string / required | Choices: unknown 0.0 1.0 2.0 3.0 4.0 5.0 6.0 | Major OS rev of the device
platform_str string |  | Required for determine the platform for VM platforms. ie FortiGate-VM64

## Examples

    - name: DISCOVER AND ADD DEVICE A PHYSICAL FORTIGATE
      faz_device:
        adom: "root"
        device_username: "admin"
        device_password: "admin"
        device_ip: "10.10.24.201"
        device_unique_name: "FGT1"
        device_serial: "FGVM000000117994"
        state: "present"
        mgmt_mode: "faz"
        os_type: "fos"
        os_ver: "5.0"
        minor_rev: 6

    - name: DISCOVER AND ADD DEVICE A VIRTUAL FORTIGATE
      faz_device:
        adom: "root"
        device_username: "admin"
        device_password: "admin"
        device_ip: "10.10.24.202"
        device_unique_name: "FGT2"
        mgmt_mode: "faz"
        os_type: "fos"
        os_ver: "5.0"
        minor_rev: 6
        state: "present"
        platform_str: "FortiGate-VM64"

    - name: DELETE DEVICE FGT01
      faz_device:
        adom: "root"
        device_unique_name: "ansible-fgt01"
        mode: "delete"

    - name: DELETE DEVICE FGT02
      faz_device:
        adom: "root"
        device_unique_name: "ansible-fgt02"
        mode: "delete"

    - name: PROMOTE FGT01 IN FAZ BY IP
      faz_device:
        adom: "root"
        device_password: "fortinet"
        device_ip: "10.7.220.151"
        device_username: "ansible"
        mgmt_mode: "faz"
        mode: "promote"

    - name: PROMOTE FGT02 IN FAZ
      faz_device:
        adom: "root"
        device_password: "fortinet"
        device_unique_name: "ansible-fgt02"
        device_username: "ansible"
        mgmt_mode: "faz"
        mode: "promote"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_result string | always | full API response, includes status code and message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Luke Weighall (@lweighall)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.